Bug 190715 - Taking bugs or modifying patches does not properly refresh - causing midair collisions on next POST
Summary: Taking bugs or modifying patches does not properly refresh - causing midair c...
Status: Open
Alias: None
Product: Services
Classification: Unclassified
Component: Bug Tracker (show other bugs)
Version: unspecified
Hardware: Any Any
: --- Affects Only Me
Assignee: Oleksandr Tymoshenko
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2014-06-06 15:02 UTC by Bryan Drewery
Modified: 2018-02-16 07:14 UTC (History)
3 users (show)

See Also:


Attachments
Example of the problem (371.10 KB, image/jpeg)
2015-03-06 17:43 UTC, Bryan Drewery
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bryan Drewery freebsd_committer 2014-06-06 15:02:57 UTC
For example, take a bug. Then save. Then add a comment and save. You'll collide with your own modification.

https://en.wikipedia.org/wiki/Post/Redirect/Get

Bugzilla seems to be missing some Redirect->GET on some of its POSTS. I've noticed this when taking a ticket or modifying an attachment to be a patch.

My preferences are to go back to the same ticket, and not the "next in list". This may have something to do with it.

This seems to likely be an actual bugzilla bug and not ours, but I think it is worth fixing to avoid losing changes.
Comment 1 Marcus von Appen freebsd_committer freebsd_triage 2014-09-13 07:33:26 UTC
Does the issue still occur for you? I'm unable to reproduce it anymore.
Comment 2 Marcus von Appen freebsd_committer freebsd_triage 2014-10-21 18:05:43 UTC
The issue can't be reproduced anymore. Please reopen this bug, if you are still running into trouble.
Comment 3 Bryan Drewery freebsd_committer 2014-10-22 18:16:22 UTC
(In reply to Marcus von Appen from comment #2)
> The issue can't be reproduced anymore. Please reopen this bug, if you are
> still running into trouble.

Did something change? I hit this just last week.
Comment 4 Marcus von Appen freebsd_committer freebsd_triage 2014-10-23 05:39:58 UTC
If you did, why did not you reply to my last request? I am still unable to reproduce it. Taking bugs, modifying fields, etc. all works. Saving changes properly updates the page for me.

Which browser do you use? What are the exact steps for you to reproduce that issue?
Comment 5 Marcus von Appen freebsd_committer freebsd_triage 2014-11-13 07:03:37 UTC
Can you please provide a ste by step description as requested in comment 4?
Comment 6 Marcus von Appen freebsd_committer freebsd_triage 2014-11-24 07:45:04 UTC
Bryan: please provide a description on how to reproduce the issue.
Comment 7 Marcus von Appen freebsd_committer freebsd_triage 2015-02-18 17:14:20 UTC
Bryan: is this still relevant?
Comment 8 Bryan Drewery freebsd_committer 2015-03-06 17:43:33 UTC
Created attachment 153918 [details]
Example of the problem
Comment 9 Bryan Drewery freebsd_committer 2015-03-06 17:43:40 UTC
Yes I just hit this. I've attached a screenshot.

I took a bug, then added a comment which collided with myself. All in 1 window. The browser, or some other state, is not properly refereshing after some submissions.
Comment 10 Bryan Drewery freebsd_committer 2015-03-06 17:48:13 UTC
This is with chrome.
Comment 11 Bryan Drewery freebsd_committer 2015-03-06 17:49:33 UTC
May be fixed in bugzilla 4.4, https://www.bugzilla.org/releases/4.4/release-notes.html

"Bugs: Changes to the CC list no longer causes midair collisions"
Comment 12 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-02 08:57:39 UTC
@Bryan, have you hit this since March, or can we consider it fixed with the 4.4.x upgrade?
Comment 13 Oleksandr Tymoshenko freebsd_committer freebsd_triage 2018-02-11 22:49:51 UTC
I tested two scenarios and couldn't reproduce this issue:

- Take bug, add myself to Cc
- Take bug, leave comment

Bug list strategy is set to "Stay on updated bug"

We're on Bugzilla 5.0 now so probably it was fixed during update from 4.4.

Closing as "Overcome by events", please re-open if issue is still happening.
Comment 14 Oleksandr Tymoshenko freebsd_committer freebsd_triage 2018-02-15 22:05:36 UTC
Happened to me yesterday. Re-opening and taking.